Love Fuel?    Donate

FuelPHP Forums

Ask your question about FuelPHP in the appropriate forum, or help others by answering their questions.
Question regarding PHP support
  • Hello there,

    Dose FuelPHP support PHP 7.2?
  • It works well for me with PHP 7.2 with one fix that is pending in the 1.9 devel branch to be backported to 1.8 release.. https://github.com/fuel/core/commit/8a44a112c7a9a7eee54f6990a9913daf96a230a1

    The only outstanding issue is https://github.com/fuel/core/issues/2077 which may or may not impact FuelPHP with this deprecated, but still valid, setting.
  • Thanks for your reply.
    I may have to upgrade php from 5.6 to 7.2 by the end of this year.
    Therefore , I am asking this question.
    Well, I may try next week.
  • Unfortunately 2077 might be potentionally very difficult. 

    Removing it will be relatively easy, but it might have a big impact for existing applications in a utf8 environment. 

    The main reason it hasn't been picked up yet.
  • I see.
    So, we should stay with current version until it is fixed.
    The reason why I am asking this question is that EOF for PHP 5.6 and 7.0 is this December.
    Therefore, we are thinking of upgrading PHP from 5.6 and 7.0 to 7.2.
  • Oh....we did not use that 2077.
    So, possibly it is okay for us.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion